# Class: procedures\_class

Contains some general-purpose procedures that don't fit anywhere else.

Access these functions through the global singleton "procedures".

## Table of contents

### Constructors

- [constructor](procedures_class.md#constructor)

### Methods

- [paint\_texture](procedures_class.md#paint_texture)

## Constructors

### constructor

\+ **new procedures_class**(): [*procedures\_class*](procedures_class.md)

**Returns:** [*procedures\_class*](procedures_class.md)

## Methods

### paint\_texture

▸ **paint_texture**(`sel`: [*selection*](selection.md), `img`: [*image*](image.md), `layer`: *number*, `pressure`: *number*, `angle`: *number*): *any*

#### Parameters:

Name | Type |
:------ | :------ |
`sel` | [*selection*](selection.md) |
`img` | [*image*](image.md) |
`layer` | *number* |
`pressure` | *number* |
`angle` | *number* |

**Returns:** *any*
